# Created by pyp2rpm-3.3.2
%global pypi_name importlib_metadata

%bcond_with docs
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.23
Release:        %mkrel 1.2
Summary:        Read metadata from Python packages
Group:          Development/Python
License:        ASL 2.0
URL:            http://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel >= 3.7
BuildRequires:  python3dist(contextlib2)
BuildRequires:  python3dist(pathlib2)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(zipp)
BuildRequires:  python3-packaging
%if %{with docs}
BuildRequires:  python3dist(importlib-resources)
BuildRequires:  python3dist(rst.linker)
BuildRequires:  python3dist(sphinx)
%endif
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
importlib_metadata is a library to access the metadata for a Python package.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(contextlib2)
Requires:       python3dist(pathlib2)
Requires:       python3dist(zipp)

%description -n python3-%{pypi_name}
importlib_metadata is a library to access the metadata for a Python package.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

sed -i "s|3.6|3.8|" importlib_metadata/tests/test_main.py
sed -i "s|3.6|3.8|" importlib_metadata/tests/test_zip.py

%__mv importlib_metadata/tests/data/example-21.12-py?.?.egg importlib_metadata/tests/data/example-21.12-py%{python3_version}.egg

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build importlib_metadata/docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %{with docs}
%doc html
%endif



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.23-1.2.mga8
+ Revision: 1534944
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.23-1.1.mga8
+ Revision: 1450269
- new release

* Thu Sep 05 2019 wally <wally> 0.20-1.mga8
+ Revision: 1437606
- new version 0.20
- update descriptions
- rebuild for python3.8
- disable tests for rebuild
- move docs to main pkg
- keep doc build disabled

* Sat Aug 03 2019 kekepower <kekepower> 0.19-1.mga8
+ Revision: 1427216
- imported package python-importlib_metadata

